OpenNMS API 1.2.9

## org.opennms.netmgt.actiond
Class Actiond

    java.lang.Object
      org.opennms.netmgt.actiond.Actiond

All Implemented Interfaces:
  Fiber, PausableFiber

public final class Actiond
extends java.lang.Object
implements PausableFiber

This class is used to represent the auto action execution service. When an event is received by this service that has one of either a notification, trouble ticket, or auto action then a process is launched to execute the appropriate commands.

Author:
  Mike Davidson , Brian Weaver , OpenNMS.org

Field Summary
`private static java.lang.String` `LOG4J_CATEGORY` The log4j category used to log debug messsages and statements.
`private BroadcastEventProcessor` `m_eventReader` The broadcast event receiver.
`private Executor` `m_execution` The execution launcher and reaper
`private static Actiond` `m_singleton` The singleton instance.
`private int` `m_status` The current status of this fiber

Fields inherited from interface org.opennms.core.fiber.PausableFiber
`PAUSE_PENDING, PAUSED, RESUME_PENDING`

Fields inherited from interface org.opennms.core.fiber.Fiber
`RUNNING, START_PENDING, STARTING, STATUS_NAMES, STOP_PENDING, STOPPED`

Constructor Summary
`private` `Actiond()` Constructs a new Action execution daemon.

Method Summary
`static Actiond` `getInstance()` Returns the singular instance of the actiond daemon.
`java.lang.String` `getName()` Returns the name of the service.
`int` `getStatus()` Returns the current status of the service.
`void` `init()`
`void` `pause()` Pauses the service if its currently running
`void` `resume()` Resumes the service if its currently paused
`void` `start()` Starts the Actiond service.
`void` `stop()` Stops the currently running service.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOG4J_CATEGORY

    private static final java.lang.String LOG4J_CATEGORY

  The log4j category used to log debug messsages and statements.

  See Also:
    Constant Field Values

### m_singleton

    private static final Actiond m_singleton

  The singleton instance.

### m_execution

    private Executor m_execution

  The execution launcher and reaper

### m_eventReader

    private BroadcastEventProcessor m_eventReader

  The broadcast event receiver.

### m_status

    private int m_status

  The current status of this fiber

Constructor Detail

### Actiond

    private Actiond()

  Constructs a new Action execution daemon.

Method Detail

### init

    public void init()

### start

    public void start()

  Starts the Actiond service. The process of starting the service involves reading the configuration data, starting an event receiver, and creating an execution fiber. If the services is already running then an exception is thrown.

  Specified by:
    `start` in interface `Fiber`
  Throws:
    `java.lang.IllegalStateException` - Thrown if the service is already running.

### stop

    public void stop()

  Stops the currently running service. If the service is not running then the command is silently discarded.

  Specified by:
    `stop` in interface `Fiber`

### getStatus

    public int getStatus()

  Returns the current status of the service.

  Specified by:
    `getStatus` in interface `Fiber`
  Returns:
    The service's status.

### getName

    public java.lang.String getName()

  Returns the name of the service.

  Specified by:
    `getName` in interface `Fiber`
  Returns:
    The service's name.

### pause

    public void pause()

  Pauses the service if its currently running

  Specified by:
    `pause` in interface `PausableFiber`

### resume

    public void resume()

  Resumes the service if its currently paused

  Specified by:
    `resume` in interface `PausableFiber`

### getInstance

    public static Actiond getInstance()

  Returns the singular instance of the actiond daemon. There can be only one instance of this service per virtual machine.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.